FrontPage® Blocking 11.46 Upgrades: Removal Required

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,912
2,241
363
Microsoft® FrontPage® Blocking 11.46 Upgrades: Removal Required

For many cPanel & WHM customers, an existing installation of Microsoft® FrontPage® extensions on their Linux server(s) is blocking the ability to upgrade to cPanel & WHM software version 11.46. Microsoft® discontinued support for FrontPage® extensions on Linux servers in 2006.

Blockers are conditions that will not allow the cPanel & WHM update process (upcp) to install a particular version. For more information on upgrade blockers, visit Upgrade Blockers.

Please note that the FrontPage® RPM and the FrontPage® opt mod (mod_frontpage) in EasyApache are separate entities. The presence of mod_frontpage will not block upgrades to cPanel & WHM version 11.46.

IMPACT
If you do not remove existing installations of Microsoft® FrontPage® extensions on your Linux server(s), you will be unable to upgrade to cPanel & WHM 11.46.

AFFECTED VERSIONS
cPanel & WHM 11.46

SOLUTION
If you are having trouble upgrading to 11.46, please take the following steps to remove Microsoft® FrontPage® RPM from your Linux server(s).

INSTRUCTIONS
In WHM:
Navigate to Home >> FrontPage >> Uninstall FrontPage Extensions.
Select the account for which you would like to uninstall the extensions.
Click UnInstall.
Or
From the command line:
Run /scripts/unsetupfp4 --all as the root user.
​We strongly recommend that you rebuild EasyApache without FrontPage® before you attempt to upgrade.

For more information on the Microsoft® FrontPage® blocker for cPanel & WHM 11.46 and how to determine if your server is affected, visit 11.46 FrontPage® Update Blocker.

Need help? Simply open a support ticket at cPanel Customer Portal so that our knowledgeable support team can provide recommendations, migration assistance, and more.